<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
        xmlns:pro="http://www.liquibase.org/xml/ns/pro"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
		http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd
		http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd
		http://www.liquibase.org/xml/ns/pro http://www.liquibase.org/xml/ns/pro/liquibase-pro-4.9.0.xsd">

    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-1">
        <createTable tableName="tm_project">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="tm_project_pkey"/>
            </column>
            <column name="created" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="updated" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="description" type="VARCHAR(255)"/>
            <column name="name" type="VARCHAR(255)"/>
            <column name="status" type="VARCHAR(255)"/>
            <column name="user_id" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>

    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-2">
        <createTable tableName="tm_session">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="tm_session_pkey"/>
            </column>
            <column name="user_id" type="VARCHAR(255)"/>
            <column name="created" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="updated" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="role" type="VARCHAR(255)"/>
        </createTable>
    </changeSet>

    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-3">
        <createTable tableName="tm_task">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="task_pkey"/>
            </column>
            <column name="name" type="VARCHAR(255)"/>
            <column name="description" type="VARCHAR(255)"/>
            <column name="status" type="VARCHAR(255)"/>
            <column name="user_id" type="VARCHAR(255)"/>
            <column name="project_id" type="VARCHAR(255)"/>
            <column name="created" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="updated" type="TIMESTAMP WITHOUT TIME ZONE"/>
        </createTable>
    </changeSet>

    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-4">
        <createTable tableName="tm_user">
            <column name="id" type="VARCHAR(255)">
                <constraints nullable="false" primaryKey="true" primaryKeyName="user_pkey"/>
            </column>
            <column name="login" type="VARCHAR(255)"/>
            <column name="password" type="VARCHAR(255)"/>
            <column name="email" type="VARCHAR(255)"/>
            <column name="fst_name" type="VARCHAR(255)"/>
            <column name="last_name" type="VARCHAR(255)"/>
            <column name="mid_name" type="VARCHAR(255)"/>
            <column name="role" type="VARCHAR(255)"/>
            <column name="locked" type="BOOLEAN"/>
            <column name="created" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="updated" type="TIMESTAMP WITHOUT TIME ZONE"/>
        </createTable>
    </changeSet>

    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-5">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_task" constraintName="fk259u52jbpf2unjn4h88au6t2t" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>
    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-6">
        <addForeignKeyConstraint baseColumnNames="project_id" baseTableName="tm_task" constraintName="fk4f4yy4k1kvpd1qyn2tcadwbbc" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="id" referencedTableName="tm_project" validate="true"/>
    </changeSet>
    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-7">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_session" constraintName="fki15lekemb4n53w9iraw5ooh6o" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>
    <changeSet author="kirti (generated)" id="2022-05-09T16:22:00-8">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_project" constraintName="fkrer2p7q8rxuqw0way61iyi2dt" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>

</databaseChangeLog>
